# SPDX-License-Identifier: MIT
%global archive_name %{lua:t=string.gsub(rpm.expand("%{default_fonts_foundry} %{fonts_family}"), "[%p%s]+", "_");print(t)}

%global source_version 20161102
%global source_release 7
%global source_url     http://www.greekfontsociety-gfs.gr/typefaces/20th_21st_century

%global default_fonts_foundry      GFS
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Orpheus Sans
%global fonts_summary            GFS Orpheus Sans, a 21st century mono-linear Greek font family
%global fonts_tags               %{expand:
Suggests: font(gfsorpheus)
}
%global fonts_fonts              *.otf
%global fonts_experimental_confs 60-%{fonts_name}.xml
%global fonts_description        %{expand:
GFS Orpheus Sans is a mono-linear version of GFS Orpheus. The experiment of
designing a mono-linear typeface based on the original, contrasted typeface,
clearly shows the innovative design ideas that were incorporated in the
original typeface; ideas similar to those of a modern sans serif typeface with
clean mono-linear strokes and balanced proportions.

GFS Orpheus Sans was designed by George Triantafyllakos.}

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     *pdf

%auto_init
%auto_pkg

%sourcelist
http://www.greekfontsociety-gfs.gr/_assets/fonts/%{archive_name}.zip
60-%{fonts_name}.xml

%prep
%auto_prep
%setup -q -c -T
unzip -j -q %{_sourcedir}/%{archive_name}.zip
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20161102-4
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20161102-2
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20161102-1
✅ Initial packaging
